#!/usr/bin/env python3

import os
import socket
import sqlite3
import sys


#EXPORT_FILE="/space/28c3/web/instexport"
EXPORT_FILE="/var/www/instexport"
HLR_FILE="/space/28c3/etc/hlr.sqlite3"
OPENBSC_HOST="127.0.0.1"
OPENBSC_PORT=4242


def bust_openbsc_cache(host, port, imsi):
	# Connect to openbsc
	s = socket.socket()
	s.connect( (host, port) )

	# Issue commands
	s.send(("enable\n").encode('ascii'))
	s.send(("subscriber imsi %s update\n" % (imsi,)).encode('ascii'))

	# Readoff stuff
	s.recv(2048)

	# Done
	s.close()


def main():
	# Open database
	conn = sqlite3.connect(HLR_FILE)

	extensions = []

	curs = conn.execute('SELECT extension FROM Subscriber WHERE authorized = 1')
	for (extension, ) in curs.fetchall():
		if  90000 <= int(extension) <= 99999:
			extensions.append(extension)
	curs.close()

	# Close database
	conn.close()

	with open(EXPORT_FILE+'.tmp', 'w') as f:
		f.write('\n'.join([str(x) for x in extensions]))

	os.rename(EXPORT_FILE+'.tmp', EXPORT_FILE)

if __name__ == '__main__':
	main()

