#!/bin/bash
# this script must be started inside the --prefix directory (e.g. /space/28c3)
# this script will be restarted by systemd after 5 seconds delay, please see
# /etc/systemd/system/nitb.service for all the details

OPENBSC_CFG=etc/openbsc.cfg
HLR_SQLITE3=etc/hlr.sqlite3

NITB_OPTS="-c ${OPENBSC_CFG} -l ${HLR_SQLITE3} -P -m ${1}"
#NITB_OPTS="-c ${OPENBSC_CFG} -l ${HLR_SQLITE3} -P"

for d in core log pcap; do
  test -d "${d}" || mkdir "${d}"
done

for f in "${OPENBSC_CFG}" "${HLR_SQLITE3}"; do
  if ! test -f "${f}"; then
    echo "ERROR: $(pwd)/${f} not found"
    exit 1
  fi
done

ulimit -c unlimited
DATE=$(date +%s)
cp bin/osmo-nitb core/osmo-nitb.$DATE
rm -f ./core.osmo-nitb.*
bin/osmo-nitb $NITB_OPTS -p pcap/trace-$DATE.pcap 2>&1 |tee log/osmo-nitb.$DATE
mv ./core.osmo-nitb.* core/core-osmo-nitb.$DATE
